## opaque-store 0.2.0

=== debian/changelog ===
opaque-store (0.2.0-3) unstable; urgency=low

  * d/control: add python3-setuptools to Build-Depends.  Fixes: "FTBFS:
    ModuleNotFoundError: No module named 'setuptools'".  Thanks Santiago Vila.
    Closes: #1100248
  * debian/lintian-overrides: added: suppress groff-message, see Bug#1094434:
    cmark: flag "-t man" causes troff to emit "warning: cannot select font 'C'".
  * debian/TODO.Debian: removed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 19 Mar 2025 16:11:04 +0100

opaque-store (0.2.0-2) unstable; urgency=low

  * Source-only upload, in order to migrate to testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 28 Jan 2025 05:25:12 +0100

opaque-store (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #1092863)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 22 Jan 2025 16:51:20 +0100
