=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=client --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C man opaquestore.1

override_dh_auto_clean:
	dh_auto_clean
	make -C man clean
